#ifndef __UI_THEMES__
#define __UI_THEMES__ -1

namespace ui

	type iColor
		union
			as uinteger value
			type
				as ubyte b, g, r, a
			end type
		end union
		declare constructor( byval x as uinteger )
		declare constructor( byref x as string )
		declare constructor( byref x as const iColor )

		declare function toString() as string
		declare sub fromString( byref x as string )
	end type

	type BuiltInTheme
		as iColor text
		as iColor background
		as iColor foreground
		as iColor border_hilite
		as iColor border_shadow
	end type

	type Theme

		declare constructor( byref _filen as string )
		declare constructor( byval bit_ as BuiltInTheme ptr )

		private:
		as string tname

	end type

end namespace

#endif
