#include once "mud-gui/ui.bi"
#include once "mud-gui/widgets/GridLayout.bi"
#include once "mud-gui/widgets/LineEdit.bi"
#include once "mud-gui/widgets/PushButton.bi"
#include once "mud-gui/widgets/Label.bi"

using ui

dim as GridLayout ptr mw
dim shared as LineEdit ptr ledit
dim shared as LineEdit ptr le2
dim as Label ptr lbl
dim as PushButton ptr pb

SLOT(printLE)

	le2->setText = ledit->text
	cast( PushButton ptr, ref )->m_isdown = 0
	return 1

ENDSLOT

if initScreen("LineEdit Example") = 0 then
	print "unable to initialize screen."
	end 23
end if

mw = new GridLayout
ledit = new LineEdit
le2 = new LineEdit
le2->setEditable = 0
le2->setText = "Stupid says what?"
pb = new PushButton
lbl = new Label
lbl->setText = "Say something..."
connectSignal( pb, clicked, printLE)
'              ^   ^        ^
'              |   |        + The SLOT to call when this signal is triggered.
'              |   + The signal you wish to catch.
'              + The object whose signal you want to catch.

mw->sizeGrid(3,5)
ConsolePrint( "1: " & mw->placeWidget( toBaseWidget(ledit), 1,2,3,2 ) )
ConsolePrint( "2: " & mw->placeWidget( toBaseWidget(pb), 2,5 ) )
ConsolePrint( "3: " & mw->placeWidget( toBaseWidget(lbl), 1,1,3,1) )
ConsolePrint( "4: " & mw->placeWidget( toBaseWidget(le2), 1,4,3,4 ) )

end runGUI(toBaseWidget(mw))
