#include once "mud-gui/ui.bi"
#include once "mud-gui/gclass.bi"
#include once "mud-gui/util.bi"
#include once "mud-gui/event.bi"
#include once "mud-gui/widgets/basewidget.bi"
#include once "mud-gui/widgets/Label.bi"

#inclib "mudgui-stdwidgets"

#ifndef _MUDGUI_PUSHBUTTON_BI__
#define _MUDGUI_PUSHBUTTON_BI__ -1

namespace ui

gclass(PushButton)

	declare constructor( byval parent as BaseWidget ptr = 0, byval _t_ as string = "Ok" )
	DEF_PROPERTY( pixmap, fb.image ptr )
	DEF_PROPERTY( pixmapAlignment, ALIGNMENT )
	DEF_BPROPERTY( minimumWidth, integer )
	DEF_BPROPERTY( minimumHeight, integer )
	DEF_BYREF_BPROPERTY( text, string )

	'slots
	declare STATIC_SLOT(mousedown_handler)
	declare STATIC_SLOT(resize_handler)
	declare STATIC_SLOT(repaint_handler)
	declare STATIC_SLOT(mouseover_handler)
	declare STATIC_SLOT(destroy_handler)
	declare STATIC_SLOT(click_handler)

	m_label as label ptr
	m_isdown as integer

endgclass

end namespace

#endif
