'dialogwidget.bas
#include once "mud-gui/widgets/Dialog.bi"

namespace ui

        extern _MainWidget_ as BaseWidget ptr

        constructor Dialog ( byval parent as BaseWidget ptr = 0, byval width_x as integer = 0, byval height_y as integer = 0 )
        
                (BaseObject).cl = layout_t.canHaveLayout
                (BaseObject).width = width_x
                (BaseObject).height = height_y
                (BaseObject).x = 320 - (width_x / 2)
                (BaseObject).y = 240 - (height_y /2)
        
        end constructor
        
        sub Dialog.init()
                
                (BaseObject).children->_data->width = (BaseObject).width
                (BaseObject).children->_data->height = (BaseObject).height
                (BaseObject).children->_data->x = (BaseObject).x
                (BaseObject).children->_data->y = (BaseObject).y
                
        end sub
        
        function Dialog.run () as DialogRet
        
                var paintevent = new _GUI_EVENT_
                
                old_mw = _MainWidget_
                
                paintevent->id = gevent.resize
                sendEvent( toBaseWidget(@this), paintevent )
                paintevent->id = gevent.repaint
                
                while StepMain( toBaseWidget(@this) ) <> -1
                        screenlock
                        sendEvent( toBaseWidget(@this), paintevent )
                        screenunlock
                wend
                
                StepMain( old_mw )
                delete paintevent
                
                return MG_OK
        
        end function 

end namespace

